Page MenuHomePhabricator

Don't use sysroot/include when sysroot is empty.
ClosedPublic

Authored by abidh on Nov 26 2020, 6:26 AM.

Details

Summary

Baremetal toolchain add Driver.SysRoot/include to the system include
paths without checking if Driver.SysRoot is empty. This resulted in
"-internal-isystem" "include" in the command. This patch adds check for
empty sysroot.

Diff Detail

Event Timeline

abidh created this revision.Nov 26 2020, 6:26 AM
abidh requested review of this revision.Nov 26 2020, 6:26 AM

lgtm but not an expert in this area.

cjdb added a comment.Dec 1 2020, 12:01 PM

lgtm but not an expert in this area.

Ditto

abidh added a comment.Dec 4 2020, 9:23 AM

@jroelofs Do you have any comments on this patch?

jroelofs accepted this revision.Dec 4 2020, 9:26 AM

LGTM

This revision is now accepted and ready to land.Dec 4 2020, 9:26 AM
This revision was automatically updated to reflect the committed changes.